﻿using System.Drawing;

namespace PIHelperSh.PdfCreator.Models.PieChartModel
{
    /// <summary>
    /// Элемент данных. Одно значение для диаграммы.
    /// </summary>
    public class PdfPieChartData
    {
        /// <summary>
        /// Название варианта
        /// </summary>
        public string DisplayName { get; set; } = null!;

        /// <summary>
        /// Значение варианта(по ним строят диаграмму)
        /// </summary>
        public double Value { get; set; }

        /// <summary>
        /// Цвет области на диаграме. При null будет использоватсся выдача цветов по умолчанию)
        /// </summary>
        public Color? Color { get; set; } = null;

        /// <summary>
        /// </summary>
        public PdfPieChartData() { }

        /// <summary>
        /// </summary>
        /// <param name="displayName"></param>
        /// <param name="value"></param>
        public PdfPieChartData(string displayName, double value)
        {
            DisplayName = displayName;
            Value = value;
        }
    }
}
