﻿using PIHelperSh.PdfCreator.Enums;
using PIHelperSh.PdfCreator.Interfaces;

namespace PIHelperSh.PdfCreator.Models.TableModels
{
    /// <summary>
    /// Простая табличка в PDF
    /// </summary>
    public class PDFSimpleTable
    {
        /// <summary>
        /// Заголовок
        /// </summary>
        public List<IPdfColumnItem>? Header { get; set; } = null;

        /// <summary>
        /// Стиль заголовка (по умолчанию - жирный)
        /// </summary>
        public PdfStyleType HeaderStyle { get; set; } = PdfStyleType.Bold;

        /// <summary>
        /// Выравнивание текста внутри заголовка (по умолчанию - по центру)
        /// </summary>
        public PdfAlignmentType HeaderHorizontalAlignment { get; set; } = PdfAlignmentType.Center;

        /// <summary>
        /// Набор строк
        /// </summary>
        public List<PDFSimpleTableRow> Rows { get; set; } = new();

        /// <summary>
        /// Базовый стиль строк
        /// </summary>
        public PdfStyleType RowStyle = PdfStyleType.Basic;

        /// <summary>
        /// Базовое выравнивание элементов сторок
        /// </summary>
        public PdfAlignmentType RowHorizontalAlignment = PdfAlignmentType.Rigth;

        /// <summary>
        /// Отступ после таблицы
        /// </summary>
        public PdfMargin MarginAfter = PdfMargin.None;

        /// <summary>
        /// Меняем ли ориентацию страницы на альбомную
        /// </summary>
        public bool ChangePageOrientation = false;
    }
}
