﻿using Lab3.Database.Context;
using Lab3.Database.Models;
using Lab3.Database.Repository.Interfaces;
using Microsoft.EntityFrameworkCore;

namespace Lab3.Database.Repository.Implementations
{
    public class EducationFormRepository : IEducationFormRepository
    {
        private readonly COPContext _context;

        public EducationFormRepository(COPContext context) 
        {
            _context = context;
        }

        public async Task<IEnumerable<string>> Get()
        {
            return await _context.EducationForms
                .Select(f => f.Name)
                .ToListAsync();
        }

        public async Task Update(IEnumerable<string> educationForms)
        {
            await _context.EducationForms.ExecuteDeleteAsync();
            await _context.EducationForms.AddRangeAsync(educationForms.Select(f => new EducationForm()
            {
                Id = Guid.NewGuid(),
                Name = f,
            }));
            await _context.SaveChangesAsync();
        }
    }
}
